using OpenTK.Mathematics;

namespace Engine.Util;

public static class Math
{
  public static Vector4 MulProject(this Vector4 parA, in Matrix4 parM)
  {
    var result = parA * parM;
    if (result.W != 0.0)
    {
      result /= result.W;
    }

    return result;
  }
}